<app-main-drawer [title]="'Liste des voyages. (' + tripList.length + ')'">
    <!-- <div id="main-content">

        <div class="list-bloc">
            <ul *ngIf="tripList?.length">
                <ng-container *ngFor="let item of tripList">
                    <li>
                        <div>
                            <mat-icon fontSet="material-symbols-rounded">mode_of_travel</mat-icon>
                            <span>{{ item.DepartureCity?.Label + " - " + item.ArrivalCity?.Label}}</span>
                        </div>

                        <div class="vertical-separator"></div>

                     <div>
                            <mat-icon fontSet="material-symbols-rounded">schedule</mat-icon>
                            <span> {{ item.DepartureTime | date : 'dd/MM/yyyy hh:mm' }} </span>
                        </div> 

                        <div class="vertical-separator"></div>

                        <div>
                            <mat-icon fontSet="material-symbols-rounded">payments</mat-icon>
                            <span> {{ item.Price + ' Francs CFA' }} </span>
                        </div>

                        <div class="vertical-separator"></div>

                        <div>
                            <mat-icon fontSet="material-symbols-rounded">person</mat-icon>
                            <span> {{ item.Agent?.FirstName }} </span>
                        </div>

                    </li>
                </ng-container>

            </ul>
            <div style="width: 70vw;margin: 30px auto;">
                <a [routerLink]="'new'" mat-flat-button color="primary">Ajouter un nouveau voyage</a>
            </div>
        </div>


        <div class="loading-bloc" *ngIf="loading">
            <img src="../../../assets/loading.gif" alt="loader" height="130px" width="120px" />
        </div>
    </div> -->
    trip
</app-main-drawer>